

use PDL;
use Mylib::Prered;
use CFITSIO qw( :longnames :constants);
use Common::fitsio;

use Tie::IxHash;
my $image='/u9/radovich/Pretest/Apr00II/Processed/Temp/531161o.CFH12K.I.OTDFS.#01.fits';
my $fringe='/u9/radovich/Pretest/Apr00II/Processed/Store/Fringe_s10.CFH12K.I.#01.fits';

($im, $ret)=rfits($image);
($mfr, $ret)=rfits($fringe);
($avim, $sim) = avsigclip($im->clump(-1), 2,1,0);
($avfr, $sfr) = avsigclip($mfr->clump(-1), 2,1,0);

$cov=covar($im->clump(-1), $mfr->clump(-1), $avim, $sim, $avfr, $sfr, 2);

$k= $cov / $sfr;

print "$cov / $sfr => $k ($avim - $sim)\n";

$corr=$im-$k*$mfr;

($avcorr, $scorr) = avsigclip($corr->clump(-1), 2,1,0);

print "$avcorr $scorr\n";
my %h;
tie (%h, 'Tie::IxHash');
%h=rhead("/home/mario/Varie/fringe/fisec.fits");
wfits($corr, "del.fits", \%h);

