package iraf_help;


sub getHelp {

my ($task, $idx)=@_;

my $helpTopics;

if ($task =~ /combine$/) {
$helpTopics= ['List of images to combine',
'Name of output image',
'Type of combine operation',
'Type of rejection '.
 ' (none|minmax|ccdclip|crreject|sigclip|avsigclip|pclip)',
'Delete input images after combining?',
'Image scaling (none|mode|median|mean|exposure)',
'Image section for computing statistics',
'minmax: Number of low pixels to reject',
'minmax: Number of high pixels to reject',
'Minimum to keep (pos) or maximum to reject (neg)',
'Use median in sigma clipping algorithms?',
'Lower sigma clipping factor',
'Upper sigma clipping factor',
'ccdclip: CCD readout noise (electrons)',
'ccdclip: CCD gain (electrons/DN)',
'ccdclip: Sensitivity noise (fraction)',
'Percentile clipping parameter',
'Value if there are no pixels'];
 }
elsif ($task =~ /ccdproc$/) {
 $helpTopics= ['List of CCD images to correct',
'Output image',
'List processing steps only?',
'Apply overscan strip correction?',
'Trim the image?',
'Fix bad CCD lines and columns?',
'Apply zero level correction?',
'Apply dark count correction?',
'Apply flat field correction?',
'Apply superflat field correction?',
'Apply fringe correction?',
'Overscan strip image section',
'Trim data section',
'File describing the bad lines and columns',
'Zero level calibration image',
'Dark count calibration image',
'Flat field images',
'SuperFlat field images',
'Fringe images',
'Smooth window for fringing',
'Minimum flat field value',
'Fitting function for overscan',
'Number of polynomial terms or spline pieces',
'Sample points to fit',
'Number of sample points to combine',
'Number of rejection iterations',
'Low sigma rejection factor',
'High sigma rejection factor',
'Rejection growing radius',
''];

 };

my $msg;

{$msg=$helpTopics->[$idx];}

if ($msg eq '') {$msg='Sorry, no help !'}

return ($msg);

}

1;
