
use strict;

use vars qw(@WWConf);

sub InitWW
  {

@WWConf=(
{
   KEY  =>  'WEIGHT_NAMES',
   VAL  =>  'ones.fits,image01.fits',
    }, 

    {
   KEY  =>  'WEIGHT_MIN',
   VAL  =>  '0.2,-1e30',
    }, 

    {
   KEY  =>  'WEIGHT_MAX',
   VAL  =>  '1e30, 65000',
    }, 

    {
   KEY  =>  'WEIGHT_OUTFLAGS',
   VAL  =>  '0x01, 0x02',
    }, 

    {
   KEY  =>  'FLAG_NAMES',     #This should be the BPM file
   VAL  =>  'imask01.fits',
    }, 

    {
   KEY  =>  'FLAG_WMASKS',   
   VAL  =>  '0x00',       #set the 0st bit 
    }, 

    {
   KEY  =>  'FLAG_MASKS',
   VAL  =>  '0x00',      #set the 0st bit 
    }, 

    {
   KEY  =>  'FLAG_OUTFLAGS',
   VAL  =>  '0x02',   #set the 1st bit 
    }, 

    {
   KEY  =>  'POLY_NAMES',
   VAL  =>  '""',
    }, 

    {
   KEY  =>  'POLY_OUTFLAGS',
   VAL  =>  '""',
    }, 

    {
   KEY  =>  'OUTWEIGHT_NAME',
   VAL  =>  'weight.fits',
    }, 

    {
   KEY  =>  'OUTFLAG_NAME',
   VAL  =>  'flag.fits',
    }, 

     );

}

sub mkWWConf
  {

my $pfile=shift;

system ("rm $pfile") if (-e $pfile);

open (FILE, ">$pfile"); 
my $entry;
foreach $entry (@WWConf) {
  my $nokey=0;
   if (exists $entry->{KEY}) {
      print FILE "$entry->{KEY}\t";
      if (exists $entry->{VAL}) {
           print FILE "$entry->{VAL}\t";
	}   
    } else {$nokey=1}
    if (exists $entry->{COMM}) {
        my $comm=$entry->{COMM};
         if ($nokey==1 && $comm !~ '--') {print FILE "\t\t\t"}
	 
           print FILE "#$comm";
	}   
  print FILE "\n";	
   }
   
 close (FILE);  

  }


1;
