
# Makefile.PL for PDL::Primitive module.

# Use this as a template for the Makefile.PL for
# any external PDL module.

use  PDL::Core::Dev ;
use ExtUtils::MakeMaker;


$pack = ["poly.pd",Pfit,Mylib::Pfit];
@libfiles = map {s/^libs\///; s/\.c$//; $_} glob("libs/*.c");

%hash = pdlpp_stdargs($pack);
$hash{OBJECT} .=  join '', map {" libs/$_.o "} @libfiles;
$hash{LIBS} = ['-lm'];
$hash{clean}{FILES} .= join '', map {" libs/$_.o "} @libfiles;


$hash{INC} = $hash{INC}.' -Ilibs';

WriteMakefile(%hash);

sub MY::postamble {
   	my $orig=pdlpp_postamble($pack); 	
   	$orig .join "\n",map {
("

libs/$_.o: libs/$_.c
	$ENV{CC} -c -fPIC -Ilibs -o libs/$_.o libs/$_.c
" )} @libfiles;

}  # Add genpp rule



