
use PDL;
use Mylib::Prered;

use Tie::IxHash;

use CFITSIO qw( :longnames :constants);
use Common::fitsio;

my $image='/u9/radovich/Pretest/Apr00II/Processed/Temp/531161o.CFH12K.I.OTDFS.#01.fits';
my $fringe='/u9/radovich/Pretest/Apr00II/Processed/Store/Fringe_s10.CFH12K.I.#01.fits';
my $ifringe='/u9/radovich/Pretest/Apr00II/Processed/Temp/531161o.CFH12K.I.sfrg.#01.fits';
my ($im, $ret)=rfits($image);
my ($fr, $ret)=rfits($fringe);
my ($sim, $ret)=rfits($ifringe);

print "-> $ret\n";


print "starting...\n";
my $n=zeroes(float,1,1);
$var=wvar($fr,null,null);
$covar=wvar($im,$fr,$sim);
my $k=$covar/$var;
print "$var - $covar - $k\n";
