#!/usr/bin/perl

use Cwd;

sub alldone {
    my $mw=shift;
    #$mw->withdraw;
    $mw -> destroy;
  }

sub getFile {

  my ($oper, $fname, $ext, $comment, $mtop)= @_;

 if (! Exists($mtop)) {$mtop=$main::top}

  if (not $ext) {$ext=".param"}
  if (not $comment) {$comment="Select a file to $oper: "}

#  if (not Exists $FDTOP) {

    my $FDTOP = $mtop->Toplevel;
    
    $FDTOP->Label(-text => 'Whatever');

 
    my $f = $FDTOP->Frame;
    my $lab = $f->Label(-text => $comment,
			    -anchor => 'e');
	my $ent = $f->Entry(-width => 20);
        if (defined $$fname and $$fname ne '') {
	$ent->delete(0, 'end');
	$ent->insert(0, $$fname);
	$ent->xview('end'); }

    my $buttons =$FDTOP->Frame;
    $buttons->pack(-side => 'bottom', -pady => '2', -anchor => 'center');
    my $buttons_ok = $buttons->Button(-text => 'OK',
                                      -command => (sub { $$fname=$ent->get;
                                                        alldone($FDTOP);
                                                           } ));
    my $buttons_canc = $buttons->Button(-text => 'Cancel',
                                      -command => (sub { $$fname="";
                                                        alldone($FDTOP);
                                                           } ));	

    $buttons_ok->pack(-side => 'left', -padx => '2');
    $buttons_canc->pack(-side => 'left', -padx => '2');

	my $but = $f->Button(-text => "Browse ...",
			     -command => (sub {fileDialog($FDTOP, $ent, $oper,
			     $ext);
                                             } ));
	$lab->pack(-side => 'left');
	$ent->pack(-side => 'left',-expand => 'yes', -fill => 'x');
	$but->pack(-side => 'left');
	$f->pack(-fill => 'x', -padx => '1c', -pady => 3);


$FDTOP->waitWindow;

}

sub fileDialog {
#this will display a window to select files

my $w=shift;
my $ent=shift;
my $operation=shift;
my $ext=shift;
my ($comment, $file);
if ($#_>-1) {$comment=shift} else {$comment = ""} 
if ($#_>-1) {$file=shift}
    
    if ($comment eq "") {
     my $fext="";
     if (ref($ext) eq 'ARRAY') {$fext=$ext->[0]} else {$fext=$ext}
      if ($fext eq ".lst" || $fext eq ".list" ) {$comment="List files"}
      elsif ($fext eq ".param") {$comment="FLIPS parameter files"}
      elsif ($fext eq ".par") {$comment="BATCH parameter files"}
      elsif ($fext eq ".cl") {$comment="IRAF parameter files"}
      elsif ($fext eq ".sex") {$comment="SEXTRACTOR parameter files"}
      elsif ($fext eq ".db") {$comment="SETDATA database file"}
    }

    #   Type names		Extension(s)
    #
    #---------------------------------------------------------
    my @types=
     ([$comment,   $ext],
      ["All files", '*']
     );


    if ($operation eq 'load') {
	$file = $w->getOpenFile(-filetypes => \@types);
    } else {
	$file = $w->getSaveFile(-filetypes => \@types,
				-initialfile => 'Untitled',
				-defaultextension => '.sav');
    }

my $pwd=cwd().'/';
if ( rindex($file, $pwd)==0) {
#we want to extract the non absolute part of the filename
   $file=substr($file,length($pwd));
}




    if (Exists($ent) && defined $file and $file ne '') {
	$ent->delete(0, 'end');
	$ent->insert(0, $file);
	$ent->xview('end');
    }
 
   
    return $file;
 }


1;
