package Header;

sub new {


my $self = {
 ORIGIN => '',
 DETECTOR  => '',
 RUNID=> '',
 RA => '',
 DEC => '',
 OBSTYPE => '',
 EXPTIME => '',
 FILTER => '',
 DATE => '',
 LOCTIME => '',
 LOCDATE  => '',
 OBJECT  => '',
 IMAGEID  => '',
 FILENAME => '',
 }

 bless ($self);

return ($self)

}

sub eso_mef {
my $self=shift;

#MEF FITS files: #some infos are in the PHU

}

sub cfht {
my $self=shift;

#SIMPLE FITS files: each file contains all infos

#_________________________________________________

$self->{ORIGIN}=$head{ORIGIN};
$origin=~ tr/ //d;
#_________________________________________________

$self->{detector}=$head{DETECTOR};
$detector=~ tr/ //d;
#_________________________________________________

$self->{runid}=$head{RUNID};
$runid =~ tr/ //d;

#_________________________________________________


$self->{ra}=convert_RA($head{RA});
#_________________________________________________


$self->{dec}=convert_DEC($head{DEC});
#_________________________________________________

$self->{obstype}=$head{OBSTYPE};
$obstype=~ tr/ //d;

#_________________________________________________

$self->{EXPTIME}=int($head{EXPTIME}+.5).'s';

#_________________________________________________

$self->{filter}=$head{FILTER};
$filter=~ tr/ //d;

#_________________________________________________

$self->{date}=$head{DATE};

($ltdate,$HHMMSS)=split(/T/,$date,2); # les champs DATE et TIME sont separes
                                         # par la lettre "T"
@HH=split(/:/,$HHMMSS,2);

#_________________________________________________

$_=$head{HSTTIME};
@loctime=/(\d{2,2}):(\d{2,2}):(\d{2,2})/; #this keeps only hh, mm and ss
self->{
#_________________________________________________

$self->{object}=$head{OBJECT};
$object=~ tr/ //d;
$object=~ tr/,/_/; # translate comma into underscore
$object=~ tr/0-9a-zA-Z_//c;# discard every characters but
                                          # digits, letters, underscore
                                          # ATTENTION : "c" means "complement", so
                                          # this must be understood as : the complement of /0-9a-zA-Z_/
                                          #   is replaced by /nothing/

#_________________________________________________


$self->{chip}=$head{IMAGEID};
$chip=~ tr/ //d;

#_________________________________________________

$self->{filename}=$head{FILENAME};
$filename=~ tr/ //d;
$filename=~ tr/,/_/;
$filename=~ tr/0-9a-zA-Z_//c;
#_________________________________________________

#converts 12 of local time to UT
$dt=$HH[0]-$loctime[0];
if ($dt < 0) {$dt += 24.}
$ut12=12+$dt;           #UT at LT=12h
if ($HH[0] lt $ut12)
{$ltdate=&modif_date($ldtdate)}


}

# =================================================================
# =================================================================


sub ESOdb {
#_________________________________________________

$origin=$head{ORIGIN};
$origin=~ tr/ //d;
#_________________________________________________

$detector=$head{INSTRUME};
$detector=~ tr/ //d;
#_________________________________________________

$runid = '';
#_________________________________________________


$ra=convert_RA($head{RA});
#_________________________________________________


$dec=convert_DEC($head{DEC});
#_________________________________________________

$obstype=$head{ESO DPR CATG};
$obstype=~ tr/ //d;

#_________________________________________________

my $xexp=int($head{EXPTIME}+.5).'s';

#_________________________________________________

$filter=$head{ESO INS FILT NAME};
$filter=~ tr/ //d;

#_________________________________________________

$date=$head{DATE};

($ltdate,$HHMMSS)=split(/T/,$date,2); # les champs DATE et TIME sont separes
                                         # par la lettre "T"
@HH=split(/:/,$HHMMSS,2);

#_________________________________________________

my $lt=$head{LST};
$loctime[0]=int($lt/3600);
$lt-=($loctime[0]*3600);
$loctime[1]=int($lt/60);
$lt-=($loctime[1]*60);
$loctime[2]=int($lt*100+.5)/100;

#_________________________________________________

$object=$head{OBJECT};
$object=~ tr/ //d;
$object=~ tr/,/_/; # translate comma into underscore
$object=~ tr/0-9a-zA-Z_//c;# discard every characters but
                                          # digits, letters, underscore
                                          # ATTENTION : "c" means "complement", so
                                          # this must be understood as : the complement of /0-9a-zA-Z_/
                                          #   is replaced by /nothing/

#_________________________________________________

# ***

 while (my ($key,$value) = each %h) {
    if ($key =~ /CHIP\d+ INDEX/) {
       $chip=$value;
       $last;
    }
  }
#_________________________________________________

$filename=$head{ESO DET EXP ID};
$filename=~ tr/ //d;
$filename=~ tr/,/_/;
$filename=~ tr/0-9a-zA-Z_//c;
#_________________________________________________

#converts 12 of local time to UT
$dt=$HH[0]-$loctime[0];
if ($dt < 0) {$dt += 24.}
$ut12=12+$dt;           #UT at LT=12h
if ($HH[0] lt $ut12)
{$ltdate=&modif_date($ldtdate)}

#/////////////////////////////////////////////////////////////////////////////
# Here starts the analysis to find inconsistencies

}